<?php
include_once("api.class.php");

// Defining your API Url and token
$apiUrl = "/api/v2";
$token = "";

// API
$api = new Api($apiUrl, $token);

// ----

// Post request
$postVariables['orderType'] = "1";
$postVariables['date'] = date("Y-m-d");
$postVariables['deliveryDate'] = date("Y-m-d", strtotime("+3 days"));
$postVariables['customerId'] = "10";
$postVariables['seasonId'] = "3";
$postVariables['brandId'] = "1";
$postVariables['warehouseId'] = "1";
$postVariables['currency'] = "USD";
$postVariables['exchangeRate'] = "1";
$postVariables['expeditorId'] = "2";
$postVariables['margin'] = "2.4";
$postVariables['discountPercentage'] = "10";
$postVariables['shippingCosts'] = "3.95";
$postVariables['comment'] = "Test order";
$postVariables['internalComment'] = "Internal comment";
$postVariables['paymentTerms'][0]['days'] = "10";
$postVariables['paymentTerms'][0]['discount'] = "3";
$postVariables['agent']['id'] = "1";
$postVariables['agent']['commission'] = "2.5";
$postVariables['shippingAddress']['addressId'] = "Test customer";
$postVariables['shippingAddress']['name'] = "Test customer";
$postVariables['shippingAddress']['street'] = "Invoice street";
$postVariables['shippingAddress']['housenumber'] = "1";
$postVariables['shippingAddress']['housenumberExtension'] = "a";
$postVariables['shippingAddress']['postalCode'] = "1234 AB";
$postVariables['shippingAddress']['city'] = "Amsterdam";
$postVariables['shippingAddress']['countryId'] = "1";
$postVariables['shippingAddress']['email'] = "email@customer.nl";
$postVariables['shippingAddress']['phone'] = "+31.12345678";
$postVariables['items'][0]['itemNumber'] = "ED-101";
$postVariables['items'][0]['colorId'] = "1";
$postVariables['items'][0]['sizeId'] = "1";
$postVariables['items'][0]['quantity'] = "1";
$postVariables['items'][0]['price'] = "39.95";
$postVariables['items'][1]['itemId'] = "1";
$postVariables['items'][1]['colorId'] = "2";
$postVariables['items'][1]['sizeId'] = "1";
$postVariables['items'][1]['quantity'] = "1";
$postVariables['items'][1]['comment'] = "Ref. 1234";
$postVariables['items'][2]['barcode'] = "4273492000155";
$postVariables['items'][2]['quantity'] = "1";
$postVariables['items'][2]['deliveryDate'] = date("Y-m-d", strtotime("+3 days"));

// Execute request
$result = $api->post('orders', $postVariables);
print_r($result);

// Parsing request respons
if ($result['http_code'] == "200") {
	echo "<h2>Success</h2>";
	print_r($result['body']);
} else {
	echo "<h2>Error " . $result['http_code'] . "</h2>" . $result['body'];
}
?>